### Class

# Gm Cutout

since: 0.0.2

#### Description [src]

    final class Gm.Cutout : GObject.Object
    {
      /* No available fields */
    }

A display cutout or notch.

A display cutout is an area of a display that is not usable for rendering e.g. because a camera or speaker is placed there. This includes so called “notches”. The are needs to be avoided when rendering. It is described by a SVG path. Each cutouts coordinate systems is located at the top left display corner in the displays natural orientation. Applications can query the area to avoid for rendering via the `bounds` property so they don’t need to deal with the SVG path themselves.

Available since: 0.0.2

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gm_cutout_new

Create a new cutout based on the given SVG path.

since: 0.0.2

#### Instance methods

###### gm_cutout_get_bounds

Gets the bounding box of the cutout.

since: 0.0.2

###### gm_cutout_get_name

The name of the cutout.

since: 0.0.2

###### gm_cutout_get_path

Gets the SVG path describing the shape of the cutout.

since: 0.0.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gm.Cutout:bounds

Rectangular bounds of the cutout.

since: 0.0.2

###### Gm.Cutout:name

A name identifying the cutout.

since: 0.0.2

###### Gm.Cutout:path

The SVG path that describes the display cutout or notch.

since: 0.0.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GmCutoutClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.